Package org.springframework.core.codec

# Class ResourceRegionEncoder

java.lang.Object
org.springframework.core.codec.AbstractEncoder<ResourceRegion>
org.springframework.core.codec.ResourceRegionEncoder

All Implemented Interfaces:
  `Encoder<ResourceRegion>`

public class ResourceRegionEncoder extends AbstractEncoder<ResourceRegion>
Encoder for `ResourceRegions`.

Since:
  5.0
Author:
  Brian Clozel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BOUNDARY_STRING_HINT`
The hint key that contains the boundary string.
`static final int`
`DEFAULT_BUFFER_SIZE`
The default buffer size used by the encoder.

### Fields inherited from class org.springframework.core.codec.AbstractEncoder

`logger`

## Constructor Summary

Constructors
Constructor
Description
`ResourceRegionEncoder()`
`ResourceRegionEncoder(int bufferSize)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canEncode(ResolvableType elementType, MimeType mimeType)`
Whether the encoder supports the given source element type and the MIME type for the output stream.
`reactor.core.publisher.Flux<DataBuffer>`
`encode(Publisher<? extends ResourceRegion> input, DataBufferFactory bufferFactory, ResolvableType elementType, MimeType mimeType, Map<String,Object> hints)`
Encode a stream of Objects of type `T` into a `DataBuffer` output stream.

### Methods inherited from class org.springframework.core.codec.AbstractEncoder

`getEncodableMimeTypes, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.core.codec.Encoder

`encodeValue, getEncodableMimeTypes`

## Field Details

### DEFAULT_BUFFER_SIZE

public static final int DEFAULT_BUFFER_SIZE
The default buffer size used by the encoder.

See Also:
  - Constant Field Values

### BOUNDARY_STRING_HINT

public static final String BOUNDARY_STRING_HINT
The hint key that contains the boundary string.

## Constructor Details

### ResourceRegionEncoder

public ResourceRegionEncoder()

### ResourceRegionEncoder

public ResourceRegionEncoder(int bufferSize)

## Method Details

### canEncode

public boolean canEncode(ResolvableType elementType, @Nullable MimeType mimeType)
Description copied from interface: `Encoder`
Whether the encoder supports the given source element type and the MIME type for the output stream.

Specified by:
  `canEncode` in interface `Encoder<ResourceRegion>`
Overrides:
  `canEncode` in class `AbstractEncoder<ResourceRegion>`
Parameters:
  `elementType` - the type of elements in the source stream
  `mimeType` - the MIME type for the output stream (can be `null` if not specified)
Returns:
  `true` if supported, `false` otherwise

### encode

public reactor.core.publisher.Flux<DataBuffer> encode(Publisher<? extends ResourceRegion> input, DataBufferFactory bufferFactory, ResolvableType elementType, @Nullable MimeType mimeType, @Nullable Map<String,Object> hints)
Description copied from interface: `Encoder`
Encode a stream of Objects of type `T` into a `DataBuffer` output stream.

Parameters:
  `input` - the input stream of Objects to encode. If the input should be encoded as a single value rather than as a stream of elements, an instance of `Mono` should be used.
  `bufferFactory` - for creating output stream `DataBuffer`'s
  `elementType` - the expected type of elements in the input stream; this type must have been previously passed to the `Encoder.canEncode(org.springframework.core.ResolvableType, org.springframework.util.MimeType)` method and it must have returned `true`.
  `mimeType` - the MIME type for the output content (optional)
  `hints` - additional information about how to encode
Returns:
  the output stream